4132e8ca |
1 | #!/bin/sh |
2 | # some elements originated from qemu configure |
3 | set -e |
4 | |
5 | TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c" |
6 | TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o" |
07c13dfd |
7 | TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}" |
8 | trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM |
4132e8ca |
9 | rm -f config.log |
10 | |
11 | compile_object() |
12 | { |
07c13dfd |
13 | c="$CC $CFLAGS -c $TMPC -o $TMPO $@" |
14 | echo $c >> config.log |
15 | $c >> config.log 2>&1 |
16 | } |
17 | |
18 | compile_binary() |
19 | { |
20 | c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@" |
4132e8ca |
21 | echo $c >> config.log |
22 | $c >> config.log 2>&1 |
23 | } |
24 | |
25 | check_define() |
26 | { |
cc376814 |
27 | $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1 |
28 | return 0 |
29 | } |
30 | |
31 | check_define_val() |
32 | { |
33 | $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}' |
4132e8ca |
34 | return 0 |
35 | } |
36 | |
37 | # setting options to "yes" or "no" will make that choice default, |
38 | # "" means "autodetect". |
39 | |
38c2028e |
40 | platform_list="generic pandora maemo caanoo libretro" |
4132e8ca |
41 | platform="generic" |
61bc6d40 |
42 | builtin_gpu_list="peops unai neon" |
43 | builtin_gpu="" |
b68bf5c2 |
44 | sound_driver_list="oss alsa pulseaudio sdl libretro" |
07c13dfd |
45 | sound_drivers="" |
dd4d5a35 |
46 | plugins="plugins/spunull/spunull.so \ |
47 | plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so" |
4132e8ca |
48 | ram_fixed="no" |
49 | drc_cache_base="no" |
00a212aa |
50 | have_armv5="" |
4132e8ca |
51 | have_armv6="" |
52 | have_armv7="" |
53 | have_arm_neon="" |
54 | have_tslib="" |
5b9aa749 |
55 | have_gles="" |
5514a050 |
56 | have_c64x_dsp="" |
4132e8ca |
57 | enable_dynarec="yes" |
f89fa2d9 |
58 | need_sdl="no" |
955f9af0 |
59 | need_xlib="no" |
cc56203b |
60 | need_libpicofe="yes" |
61 | need_warm="no" |
5b9aa749 |
62 | CFLAGS_GLES="" |
63 | LDLIBS_GLES="" |
4132e8ca |
64 | # these are for known platforms |
65 | optimize_cortexa8="no" |
66 | optimize_arm926ej="no" |
67 | |
68 | # hardcoded stuff |
69 | CC="${CC-${CROSS_COMPILE}gcc}" |
ac6575cd |
70 | CXX="${CXX-${CROSS_COMPILE}g++}" |
4132e8ca |
71 | AS="${AS-${CROSS_COMPILE}as}" |
72 | AR="${AS-${CROSS_COMPILE}ar}" |
9aff1963 |
73 | MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread" |
4132e8ca |
74 | config_mak="config.mak" |
75 | |
07c13dfd |
76 | fail() |
77 | { |
78 | echo "$@" |
79 | exit 1 |
80 | } |
81 | |
4132e8ca |
82 | # call during arg parsing, so that cmd line can override platform defaults |
83 | set_platform() |
84 | { |
85 | platform=$1 |
86 | case "$platform" in |
87 | generic) |
88 | ;; |
89 | pandora) |
07c13dfd |
90 | sound_drivers="oss alsa" |
4132e8ca |
91 | ram_fixed="yes" |
92 | drc_cache_base="yes" |
93 | optimize_cortexa8="yes" |
94 | have_arm_neon="yes" |
955f9af0 |
95 | need_xlib="yes" |
4132e8ca |
96 | ;; |
97 | maemo) |
98 | ram_fixed="yes" |
99 | drc_cache_base="yes" |
100 | optimize_cortexa8="yes" |
101 | have_arm_neon="yes" |
102 | ;; |
103 | caanoo) |
07c13dfd |
104 | sound_drivers="oss" |
4132e8ca |
105 | ram_fixed="yes" |
106 | drc_cache_base="yes" |
107 | optimize_arm926ej="yes" |
cc56203b |
108 | need_warm="yes" |
4132e8ca |
109 | ;; |
38c2028e |
110 | libretro) |
07c13dfd |
111 | sound_drivers="libretro" |
cc56203b |
112 | need_libpicofe="no" |
38c2028e |
113 | ;; |
4132e8ca |
114 | *) |
07c13dfd |
115 | fail "unsupported platform: $platform" |
4132e8ca |
116 | ;; |
117 | esac |
118 | } |
119 | |
120 | for opt do |
121 | optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true |
122 | case "$opt" in |
123 | --help|-h) show_help="yes" |
124 | ;; |
125 | --platform=*) set_platform "$optarg" |
126 | ;; |
61bc6d40 |
127 | --gpu=*) builtin_gpu="$optarg" |
128 | ;; |
07c13dfd |
129 | --sound-drivers=*) sound_drivers="$optarg" |
4132e8ca |
130 | ;; |
131 | --enable-neon) have_arm_neon="yes" |
132 | ;; |
133 | --disable-neon) have_arm_neon="no" |
134 | ;; |
135 | --disable-dynarec) enable_dynarec="no" |
136 | ;; |
137 | *) echo "ERROR: unknown option $opt"; show_help="yes" |
138 | ;; |
139 | esac |
140 | done |
141 | |
142 | if [ "$show_help" = "yes" ]; then |
143 | echo "options:" |
144 | echo " --help print this message" |
145 | echo " --platform=NAME target platform [$platform]" |
146 | echo " available: $platform_list" |
61bc6d40 |
147 | echo " --gpu=NAME builtin gpu plugin [guessed]" |
148 | echo " available: $builtin_gpu_list" |
07c13dfd |
149 | echo " --sound-drivers=LIST sound output drivers [guessed]" |
4132e8ca |
150 | echo " available: $sound_driver_list" |
151 | echo " --enable-neon" |
152 | echo " --disable-neon enable/disable ARM NEON optimizations [guessed]" |
153 | echo " --disable-dynarec disable dynamic recompiler" |
154 | echo " (dynarec is only available and enabled on ARM)" |
155 | echo "influential environment variables:" |
ac6575cd |
156 | echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS" |
4132e8ca |
157 | exit 1 |
158 | fi |
159 | |
07c13dfd |
160 | # validate selections |
61bc6d40 |
161 | if [ "x$builtin_gpu" != "x" ]; then |
07c13dfd |
162 | if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then |
163 | fail "unsupported builtin gpu plugin: $builtin_gpu" |
164 | fi |
61bc6d40 |
165 | fi |
166 | |
07c13dfd |
167 | if [ "x$sound_drivers" != "x" ]; then |
168 | for d in $sound_drivers; do |
169 | if ! echo $sound_driver_list | grep -q "\<$d\>"; then |
170 | fail "unsupported sound driver: $sound_driver" |
171 | fi |
172 | done |
173 | fi |
4132e8ca |
174 | |
cc56203b |
175 | if [ "$need_libpicofe" = "yes" ]; then |
176 | if ! test -f "frontend/libpicofe/README"; then |
177 | fail "libpicofe is missing, please run 'git submodule init && git submodule update'" |
178 | fi |
179 | fi |
180 | |
181 | if [ "$need_warm" = "yes" ]; then |
182 | if ! test -f "frontend/warm/README"; then |
183 | fail "wARM is missing, please run 'git submodule init && git submodule update'" |
184 | fi |
185 | fi |
186 | |
00a212aa |
187 | # basic compiler test |
188 | cat > $TMPC <<EOF |
189 | #include <zlib.h> |
190 | int main(void) { return 0; } |
191 | EOF |
192 | if ! compile_binary; then |
0dc1b4a9 |
193 | fail "compiler test failed, please check config.log" |
00a212aa |
194 | fi |
195 | |
4132e8ca |
196 | if [ -z "$ARCH" ]; then |
0dc1b4a9 |
197 | ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'` |
4132e8ca |
198 | fi |
199 | |
0dc1b4a9 |
200 | case "$ARCH" in |
201 | arm*) |
202 | # ARM stuff |
203 | ARCH="arm" |
204 | |
4132e8ca |
205 | if [ "$optimize_cortexa8" = "yes" ]; then |
4132e8ca |
206 | CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8" |
207 | ASFLAGS="$ASFLAGS -mcpu=cortex-a8" |
208 | fi |
209 | if [ "$optimize_arm926ej" = "yes" ]; then |
210 | CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s" |
211 | ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp" |
212 | fi |
213 | |
214 | if [ "x$have_arm_neon" = "x" ]; then |
215 | # detect NEON from user-supplied cflags to enable asm code |
216 | have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true |
217 | fi |
4132e8ca |
218 | if [ "x$have_armv7" = "x" ]; then |
00a212aa |
219 | if check_define HAVE_ARMV7; then |
4132e8ca |
220 | have_armv7="yes" |
00a212aa |
221 | have_armv6="yes" |
222 | have_armv5="yes" |
4132e8ca |
223 | fi |
224 | fi |
00a212aa |
225 | if [ "x$have_armv6" = "x" ]; then |
226 | if check_define HAVE_ARMV6; then |
227 | have_armv6="yes" |
228 | have_armv5="yes" |
229 | fi |
230 | fi |
231 | if [ "x$have_armv5" = "x" ]; then |
232 | have_armv5=`check_define HAVE_ARMV5 && echo yes` || true |
233 | fi |
4132e8ca |
234 | |
61bc6d40 |
235 | if [ "x$builtin_gpu" = "x" ]; then |
236 | if [ "$have_arm_neon" = "yes" ]; then |
237 | builtin_gpu="neon" |
238 | elif [ "$have_armv7" != "yes" ]; then |
239 | # pre-ARMv7 hardware is usually not fast enough for peops |
240 | builtin_gpu="unai" |
241 | else |
242 | builtin_gpu="peops" |
243 | fi |
244 | fi |
245 | |
e795af9e |
246 | # automatically set mfpu and mfloat-abi if they are not set |
4132e8ca |
247 | if [ "$have_arm_neon" = "yes" ]; then |
40cf6975 |
248 | fpu="neon" |
4132e8ca |
249 | elif [ "$have_armv6" = "yes" ]; then |
40cf6975 |
250 | fpu="vfp" |
4132e8ca |
251 | fi |
40cf6975 |
252 | if [ "x$fpu" != "x" ]; then |
253 | echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu" |
254 | echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu" |
255 | floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true |
256 | if [ "$floatabi_set_by_gcc" != "yes" ]; then |
257 | echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp" |
258 | echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp" |
259 | fi |
4132e8ca |
260 | fi |
261 | |
9f704290 |
262 | # must disable thumb as recompiler can't handle it |
96751f36 |
263 | if check_define __thumb__; then |
9f704290 |
264 | CFLAGS="$CFLAGS -marm" |
96751f36 |
265 | fi |
00a212aa |
266 | |
267 | # warn about common mistakes |
268 | if [ "$have_armv5" != "yes" ]; then |
269 | if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then |
270 | echo "Warning: compiling for ARMv4, is that really what you want?" |
271 | echo "You probably should specify -mcpu= or -march= like this:" |
272 | echo " CFLAGS=-march=armv6 ./configure ..." |
273 | fi |
274 | fi |
275 | if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then |
276 | echo "Warning: compiling for NEON, but not ARMv7?" |
277 | echo "You probably want to specify -mcpu= or -march= like this:" |
278 | echo " CFLAGS=-march=armv7-a ./configure ..." |
279 | fi |
0dc1b4a9 |
280 | ;; |
281 | *) |
4132e8ca |
282 | # dynarec only available on ARM |
283 | enable_dynarec="no" |
0dc1b4a9 |
284 | ;; |
285 | esac |
4132e8ca |
286 | |
61bc6d40 |
287 | if [ "x$builtin_gpu" = "x" ]; then |
288 | builtin_gpu="peops" |
289 | fi |
290 | |
4132e8ca |
291 | # supposedly we can avoid -fPIC on armv5 for slightly better performace? |
292 | if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then |
293 | PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC" |
294 | fi |
295 | |
296 | if [ "$ram_fixed" = "yes" ]; then |
297 | CFLAGS="$CFLAGS -DRAM_FIXED" |
298 | fi |
299 | |
38c2028e |
300 | case "$platform" in |
301 | generic) |
f89fa2d9 |
302 | need_sdl="yes" |
38c2028e |
303 | ;; |
304 | maemo) |
7010034e |
305 | CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES" |
38c2028e |
306 | ;; |
307 | libretro) |
308 | CFLAGS="$CFLAGS -fPIC" |
22fa3f2b |
309 | MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined" |
38c2028e |
310 | ;; |
311 | esac |
4132e8ca |
312 | |
07c13dfd |
313 | # header/library presence tests |
314 | check_zlib() |
315 | { |
316 | cat > $TMPC <<EOF |
317 | #include <zlib.h> |
791f6e3e |
318 | int main(void) { uncompress(0, 0, 0, 0); } |
07c13dfd |
319 | EOF |
320 | compile_binary |
321 | } |
322 | |
07c13dfd |
323 | check_libpng() |
324 | { |
325 | cat > $TMPC <<EOF |
326 | #include <png.h> |
327 | void main() { png_init_io(0, 0); } |
328 | EOF |
329 | compile_binary |
330 | } |
331 | |
332 | check_oss() |
333 | { |
334 | cat > $TMPC <<EOF |
335 | #include <sys/soundcard.h> |
336 | #include <sys/ioctl.h> |
337 | void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); } |
338 | EOF |
339 | compile_binary |
340 | } |
341 | |
342 | check_alsa() |
343 | { |
344 | cat > $TMPC <<EOF |
345 | #include <alsa/asoundlib.h> |
346 | void main() { snd_pcm_open(0, 0, 0, 0); } |
347 | EOF |
348 | compile_binary "$@" |
349 | } |
350 | |
b68bf5c2 |
351 | check_pulseaudio() |
352 | { |
353 | cat > $TMPC <<EOF |
354 | #include <pulse/pulseaudio.h> |
355 | void main() { pa_threaded_mainloop_new(); } |
356 | EOF |
357 | compile_binary "$@" |
358 | } |
359 | |
07c13dfd |
360 | check_sdl() |
361 | { |
362 | cat > $TMPC <<EOF |
363 | #include <SDL.h> |
364 | void main() { SDL_OpenAudio(0, 0); } |
365 | EOF |
366 | compile_binary "$@" |
367 | } |
368 | |
955f9af0 |
369 | check_xlib_headers() |
370 | { |
371 | cat > $TMPC <<EOF |
372 | #include <X11/Xlib.h> |
373 | void *f() { return XOpenDisplay(0); } |
374 | EOF |
375 | compile_object "$@" |
376 | } |
377 | |
5514a050 |
378 | # see if we have c64_tools for TI C64x DSP |
379 | check_c64_tools() |
380 | { |
381 | cat > $TMPC <<EOF |
382 | #include <inc_libc64_mini.h> |
383 | int f() { return dsp_open(); } |
384 | EOF |
385 | compile_object "$@" |
386 | } |
387 | |
f89fa2d9 |
388 | MAIN_LDLIBS="$MAIN_LDLIBS -lz" |
9f704290 |
389 | check_zlib || fail "please install zlib (libz-dev)" |
f89fa2d9 |
390 | |
f89fa2d9 |
391 | MAIN_LDLIBS="-lpng $MAIN_LDLIBS" |
9f704290 |
392 | check_libpng || fail "please install libpng (libpng-dev)" |
07c13dfd |
393 | |
394 | # find what audio support we can compile |
395 | if [ "x$sound_drivers" = "x" ]; then |
396 | if check_oss; then sound_drivers="$sound_drivers oss"; fi |
f89fa2d9 |
397 | if check_alsa -lasound; then |
398 | sound_drivers="$sound_drivers alsa" |
399 | MAIN_LDLIBS="-lasound $MAIN_LDLIBS" |
400 | fi |
b68bf5c2 |
401 | if check_pulseaudio -lpulse; then |
402 | sound_drivers="$sound_drivers pulseaudio" |
403 | MAIN_LDLIBS="-lpulse $MAIN_LDLIBS" |
404 | fi |
9f704290 |
405 | if [ "$need_sdl" = "yes" ] || check_sdl `sdl-config --cflags --libs`; then |
f89fa2d9 |
406 | sound_drivers="$sound_drivers sdl" |
407 | need_sdl="yes" |
408 | fi |
409 | else |
410 | if echo $sound_drivers | grep -q "\<oss\>"; then |
411 | check_oss || fail "oss support is missing" |
412 | fi |
413 | if echo $sound_drivers | grep -q "\<alsa\>"; then |
414 | MAIN_LDLIBS="-lasound $MAIN_LDLIBS" |
415 | check_alsa || fail "please install libasound2-dev" |
416 | fi |
b68bf5c2 |
417 | if echo $sound_drivers | grep -q "\<pulseaudio\>"; then |
418 | MAIN_LDLIBS="-lpulse $MAIN_LDLIBS" |
419 | check_pulseaudio || fail "pulseaudio support is missing" |
420 | fi |
07c13dfd |
421 | fi |
422 | |
9f704290 |
423 | if [ "$need_sdl" = "yes" ]; then |
424 | which sdl-config > /dev/null || \ |
425 | fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)" |
f89fa2d9 |
426 | CFLAGS="$CFLAGS `sdl-config --cflags`" |
427 | MAIN_LDLIBS="`sdl-config --libs` $MAIN_LDLIBS" |
9f704290 |
428 | check_sdl || fail "please install libsdl (libsdl1.2-dev)" |
07c13dfd |
429 | fi |
430 | |
4132e8ca |
431 | # check for tslib (only headers needed) |
432 | if [ "x$have_tslib" = "x" ]; then |
433 | cat > $TMPC <<EOF |
434 | #include <tslib.h> |
435 | void test(struct ts_sample sample) {} |
436 | EOF |
437 | if compile_object; then |
438 | have_tslib="yes" |
439 | else |
440 | have_tslib="no" |
441 | fi |
442 | fi |
443 | |
5b9aa749 |
444 | # check for VideoCore stuff for Raspberry Pi |
445 | if [ -d /opt/vc/include -a -d /opt/vc/lib ]; then |
237d1f6f |
446 | CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux" |
5b9aa749 |
447 | LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib" |
cbcadc5f |
448 | if [ -f /opt/vc/lib/libbcm_host.so ]; then |
449 | LDLIBS_GLES="$LDLIBS_GLES -lbcm_host" |
450 | fi |
955f9af0 |
451 | need_xlib="yes" |
5b9aa749 |
452 | fi |
453 | |
dd4d5a35 |
454 | # check for GLES headers |
455 | cat > $TMPC <<EOF |
456 | #include <GLES/gl.h> |
dd4d5a35 |
457 | #include <EGL/egl.h> |
5b9aa749 |
458 | int main(void) { |
459 | return (int)eglGetDisplay( (EGLNativeDisplayType)0 ); |
dd4d5a35 |
460 | } |
461 | EOF |
5b9aa749 |
462 | if compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then |
463 | have_gles="yes" |
464 | LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES" |
465 | elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then |
466 | have_gles="yes" |
467 | LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES" |
dd4d5a35 |
468 | fi |
469 | |
5514a050 |
470 | if check_c64_tools; then |
471 | have_c64x_dsp="yes" |
472 | fi |
473 | |
5b9aa749 |
474 | if [ "$have_gles" = "yes" ]; then |
475 | plugins="$plugins plugins/gpu-gles/gpu_gles.so" |
476 | fi |
61bc6d40 |
477 | if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then |
478 | plugins="$plugins plugins/gpu_neon/gpu_neon.so" |
479 | fi |
480 | |
955f9af0 |
481 | # check for xlib (only headers needed) |
482 | if [ "x$need_xlib" = "xyes" ]; then |
483 | check_xlib_headers || fail "please install libx11-dev" |
484 | fi |
485 | |
cc376814 |
486 | sizeof_long=`check_define_val __SIZEOF_LONG__` |
487 | if [ "x$sizeof_long" = "x4" ]; then |
488 | CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64" |
489 | fi |
490 | |
9f704290 |
491 | cat > $TMPC <<EOF |
492 | void test(void *f, void *d) { fread(d, 1, 1, f); } |
493 | EOF |
494 | if compile_object -Wno-unused-result; then |
495 | CFLAGS="$CFLAGS -Wno-unused-result" |
496 | fi |
497 | |
dd4d5a35 |
498 | # short plugin list for display |
499 | for p in $plugins; do |
500 | p1=`basename $p` |
501 | plugins_short="$p1 $plugins_short" |
502 | done |
503 | |
4132e8ca |
504 | # set things that failed to autodetect to "no" |
505 | test "x$have_armv6" != "x" || have_armv6="no" |
506 | test "x$have_armv7" != "x" || have_armv7="no" |
507 | test "x$have_arm_neon" != "x" || have_arm_neon="no" |
00a212aa |
508 | test "x$have_gles" != "x" || have_gles="no" |
5514a050 |
509 | test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no" |
4132e8ca |
510 | |
511 | echo "architecture $ARCH" |
512 | echo "platform $platform" |
61bc6d40 |
513 | echo "built-in GPU $builtin_gpu" |
07c13dfd |
514 | echo "sound drivers $sound_drivers" |
dd4d5a35 |
515 | echo "plugins $plugins_short" |
4132e8ca |
516 | echo "C compiler $CC" |
517 | echo "C compiler flags $CFLAGS" |
07c13dfd |
518 | echo "libraries $MAIN_LDLIBS" |
22fa3f2b |
519 | echo "linker flags $LDFLAGS$MAIN_LDFLAGS" |
4132e8ca |
520 | echo "enable dynarec $enable_dynarec" |
5514a050 |
521 | if [ "$ARCH" = "arm" ]; then |
522 | echo "ARMv7 optimizations $have_armv7" |
523 | echo "enable ARM NEON $have_arm_neon" |
524 | echo "TI C64x DSP support $have_c64x_dsp" |
525 | fi |
4132e8ca |
526 | echo "tslib support $have_tslib" |
2c616080 |
527 | if [ "$platform" = "generic" ]; then |
528 | echo "OpenGL ES output $have_gles" |
529 | fi |
4132e8ca |
530 | |
531 | echo "# Automatically generated by configure" > $config_mak |
532 | printf "# Configured with:" >> $config_mak |
533 | printf " '%s'" "$0" "$@" >> $config_mak |
534 | echo >> $config_mak |
535 | |
536 | echo "CC = $CC" >> $config_mak |
ac6575cd |
537 | echo "CXX = $CXX" >> $config_mak |
4132e8ca |
538 | echo "AS = $AS" >> $config_mak |
539 | echo "CFLAGS += $CFLAGS" >> $config_mak |
540 | echo "ASFLAGS += $ASFLAGS" >> $config_mak |
541 | echo "LDFLAGS += $LDFLAGS" >> $config_mak |
22fa3f2b |
542 | echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak |
07c13dfd |
543 | echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak |
4132e8ca |
544 | echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak |
545 | echo >> $config_mak |
546 | |
38c2028e |
547 | if [ "$platform" = "libretro" ]; then |
548 | echo "TARGET = libretro.so" >> $config_mak |
549 | fi |
4132e8ca |
550 | echo "ARCH = $ARCH" >> $config_mak |
551 | echo "PLATFORM = $platform" >> $config_mak |
61bc6d40 |
552 | echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak |
07c13dfd |
553 | echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak |
ddd99692 |
554 | echo "PLUGINS = $plugins" >> $config_mak |
4132e8ca |
555 | if [ "$have_arm_neon" = "yes" ]; then |
556 | echo "HAVE_NEON = 1" >> $config_mak |
557 | fi |
558 | if [ "$have_tslib" = "yes" ]; then |
559 | echo "HAVE_TSLIB = 1" >> $config_mak |
560 | fi |
5b9aa749 |
561 | if [ "$have_gles" = "yes" ]; then |
562 | echo "HAVE_GLES = 1" >> $config_mak |
563 | echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak |
564 | echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak |
565 | fi |
4132e8ca |
566 | if [ "$enable_dynarec" = "yes" ]; then |
567 | echo "USE_DYNAREC = 1" >> $config_mak |
568 | fi |
569 | if [ "$drc_cache_base" = "yes" ]; then |
570 | echo "DRC_CACHE_BASE = 1" >> $config_mak |
571 | fi |
5514a050 |
572 | if [ "$have_c64x_dsp" = "yes" ]; then |
573 | echo "HAVE_C64_TOOLS = 1" >> $config_mak |
574 | fi |
4132e8ca |
575 | |
2e6189bc |
576 | # use pandora's skin (for now) |
577 | test -e skin || ln -s frontend/pandora/skin skin |
578 | |
4132e8ca |
579 | # vim:shiftwidth=2:expandtab |